//+------------------------------------------------------------------+
//|                                                        K3M_K.mq4 |
//|                                                                  |
//|                                                                  |
//+------------------------------------------------------------------+

#property indicator_separate_window
//#property indicator_minimum 0
//#property indicator_maximum 30
#property indicator_buffers 6
#property indicator_color5 Gray
#property indicator_color6 Blue
#property indicator_color3 Lime
#property indicator_color4 Green
#property indicator_color1 Red
#property indicator_color2 Brown

//---- input parameters
extern int cp1=50;
extern int cp2=14;
//---- buffers
double CCIBuffer1[];
double CCIBuffer2[];
double uptrend[];
double uptrendmid[];
double downtrend[];
double downtrendmid[];

//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {
   string short_name;
//---- indicator line// //
  SetIndexStyle(4,DRAW_LINE);
   SetIndexStyle(5,DRAW_LINE);
   SetIndexBuffer(4,CCIBuffer1);
   SetIndexBuffer(5,CCIBuffer2);
   SetIndexStyle(2,DRAW_HISTOGRAM, EMPTY, 4);
   SetIndexBuffer(2,uptrend);
   SetIndexStyle(3,DRAW_HISTOGRAM, EMPTY, 3);
   SetIndexBuffer(3,uptrendmid);
   SetIndexStyle(0,DRAW_HISTOGRAM, EMPTY, 4);
   SetIndexBuffer(0,downtrend);
   SetIndexStyle(1,DRAW_HISTOGRAM, EMPTY, 3);
   SetIndexBuffer(1,downtrendmid);
//----
   SetIndexDrawBegin(0,cp1);
   SetIndexDrawBegin(1,cp1);
   
   
  short_name="K3M_k cci ("+cp1+","+cp2+")>0>100";
  IndicatorShortName(short_name);

//----
   return(0);
  }
//+------------------------------------------------------------------+
//| CCI_Woodies                                                         |
//+------------------------------------------------------------------+
int start()
  {
   int i,limit,counted_bars=IndicatorCounted();
//----
   if(Bars<=cp1) return(0);
//---- initial zero
   if(counted_bars<1)
      for(i=1;i<=cp1;i++) CCIBuffer1[Bars-i]=0.0;
//----
   i=Bars-cp1-1;
   if(counted_bars>=cp1) i=Bars-counted_bars-1;
   while(i>=0)
     {
      CCIBuffer1[i]=iCCI(NULL,0,cp1,PRICE_TYPICAL,i);
      CCIBuffer2[i]=iCCI(NULL,0,cp2,PRICE_TYPICAL,i);
      i--;
     }
          
     
   limit=Bars-cp1-1;
   for(i = limit; i >= 0; i--)   {
   
   
if(CCIBuffer1[i]>=100&&CCIBuffer2[i]>0) uptrend[i]=100;
else uptrend[i]=0;
if (CCIBuffer1[i]<=-100&&CCIBuffer2[i]<0) downtrend[i]=-100;
else downtrend[i]=0;
if(CCIBuffer1[i]>0&&CCIBuffer1[i]<100&&CCIBuffer2[i]>0) uptrendmid[i]=50;
else uptrendmid[i]=0;
if(CCIBuffer1[i]<0&&CCIBuffer1[i]>-100&&CCIBuffer2[i]<0) downtrendmid[i]=-50;
else downtrendmid[i]=0;

}

   return(0);
  }
//+------------------------------------------------------------------+